#ifndef test_h
#define test_h

namespace testclass
{

/** Just a little Doxygen test.  
  *
  * It would be nice if the members listed in this class did not result in Doxygen Member-is-not-documented 
  * warnings, because (due to the way the C++ language works) their semantics and usage is exactly the same 
  * for every single C++ class ever (unless the programmer is doing something very unusual, in which case he 
  * is still free to add Doxygen comments indicating the ways in which he is being 'clever')
  *
  * As it stands, I have to either write redundant and unhelpful Doxygen contents for every C++ class, e.g.
  * "this is the copy constructor, it makes a new object that is a copy of the passed-in object",
  * or I have to mentally filter out all of the "unimportant warnings" from the Doxygen stdout stream
  * in order to find the real warnings about documentation problems that are worth fixing.  Neither
  * scenario is ideal.
  */
class TestClass
{
public:
   TestClass();
   TestClass(const TestClass & rhs);
   TestClass(const TestClass && rhs);
   ~TestClass();

   Test & operator = (const Test &);
   bool operator == (const Test &) const;
   bool operator != (const Test &) const;
   bool operator < (const Test &) const;
   bool operator > (const Test &) const;
   bool operator <= (const Test &) const;
   bool operator >= (const Test &) const;
};

};

#endif

